Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.aggregation.messaging
Class AggregationMessage

    java.lang.Object
      rice.p2p.aggregation.messaging.AggregationMessage

All Implemented Interfaces:
  java.io.Serializable, Message

Direct Known Subclasses:
  AggregationTimeoutMessage

    public abstract class AggregationMessage

extends java.lang.Object
implements Message

See Also:
  Serialized Form

Field Summary
`protected Id` | `dest`
`protected int` | `id`
`protected NodeHandle` | `source`

Fields inherited from interface rice.p2p.commonapi.Message
`DEFAULT_PRIORITY, HIGH_PRIORITY, LOW_PRIORITY, LOWEST_PRIORITY, MAX_PRIORITY, MEDIUM_HIGH_PRIORITY, MEDIUM_LOW_PRIORITY, MEDIUM_PRIORITY`

Constructor Summary
`protected` | `AggregationMessage(int id, NodeHandle source, Id dest)` Constructor which takes a unique integer Id

Method Summary
`Id` | `getDestination()` Method which returns this messages' destination address
`int` | `getPriority()` Method which should return the priority level of this message.
`NodeHandle` | `getSource()` Method which returns this messages' source address
`int` | `getUID()` Method which returns this messages' unique id

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### id

    protected int id

### source

    protected NodeHandle source

### dest

    protected Id dest

Constructor Detail

### AggregationMessage

    protected AggregationMessage(int id,
                                 NodeHandle source,
                                 Id dest)

  Constructor which takes a unique integer Id

  Parameters:
    `id` - The unique id
    `source` - The source address
    `dest` - The destination address

Method Detail

### getPriority

    public int getPriority()

  Method which should return the priority level of this message. The messages can range in priority from 0 (highest priority) to Integer.MAX_VALUE (lowest) - when sending messages across the wire, the queue is sorted by message priority. If the queue reaches its limit, the lowest priority messages are discarded. Thus, applications which are very verbose should have LOW_PRIORITY or lower, and applications which are somewhat quiet are allowed to have MEDIUM_PRIORITY or possibly even HIGH_PRIORITY.

  Specified by:
    `getPriority` in interface `Message`
  Returns:
    This message's priority

### getUID

    public int getUID()

  Method which returns this messages' unique id

  Returns:
    The id of this message

### getSource

    public NodeHandle getSource()

  Method which returns this messages' source address

  Returns:
    The source of this message

### getDestination

    public Id getDestination()

  Method which returns this messages' destination address

  Returns:
    The dest of this message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.